<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextObjectRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextObjectRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextObjectRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/TableStylesRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/TopMarginRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/TextObjectRecord.html"
               target="_top">Frames</a></li>
        <li><a href="TextObjectRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record</div>
    <h2 title="Class TextObjectRecord" class="title">Class TextObjectRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                       title="class in org.apache.poi.hssf.record.cont">org.apache.poi.hssf.record.cont.ContinuableRecord</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.record.TextObjectRecord</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">TextObjectRecord</span>
extends <a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
           title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></pre>
                <div class="block">The TXO record (0x01B6) is used to define the properties of a text box. It is
                    followed by two or more continue records unless there is no actual text. The
                    first continue records contain the text data and the last continue record
                    contains the formatting runs.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#HORIZONTAL_TEXT_ALIGNMENT_CENTERED">HORIZONTAL_TEXT_ALIGNMENT_CENTERED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED">HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED">HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED">HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#sid">sid</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#TEXT_ORIENTATION_NONE">TEXT_ORIENTATION_NONE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#TEXT_ORIENTATION_ROT_LEFT">TEXT_ORIENTATION_ROT_LEFT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#TEXT_ORIENTATION_ROT_RIGHT">TEXT_ORIENTATION_ROT_RIGHT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#TEXT_ORIENTATION_TOP_TO_BOTTOM">TEXT_ORIENTATION_TOP_TO_BOTTOM</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#VERTICAL_TEXT_ALIGNMENT_BOTTOM">VERTICAL_TEXT_ALIGNMENT_BOTTOM</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#VERTICAL_TEXT_ALIGNMENT_CENTER">VERTICAL_TEXT_ALIGNMENT_CENTER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#VERTICAL_TEXT_ALIGNMENT_JUSTIFY">VERTICAL_TEXT_ALIGNMENT_JUSTIFY</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#VERTICAL_TEXT_ALIGNMENT_TOP">VERTICAL_TEXT_ALIGNMENT_TOP</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#TextObjectRecord--">TextObjectRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#TextObjectRecord-org.apache.poi.hssf.record.RecordInputStream-">TextObjectRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#getHorizontalTextAlignment--">getHorizontalTextAlignment</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#getLinkRefPtg--">getLinkRefPtg</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#getSid--">getSid</a></span>()</code>
                                    <div class="block">return the non static version of the id for this record.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#getStr--">getStr</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#getTextOrientation--">getTextOrientation</a></span>()</code>
                                    <div class="block">Get the text orientation field for the TextObjectBase record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#getVerticalTextAlignment--">getVerticalTextAlignment</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#isTextLocked--">isTextLocked</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</code>
                                    <div class="block">Serializes this record's content to the supplied data output.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#setHorizontalTextAlignment-int-">setHorizontalTextAlignment</a></span>(int&nbsp;value)</code>
                                    <div class="block">Sets the Horizontal text alignment field value.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#setStr-org.apache.poi.hssf.usermodel.HSSFRichTextString-">setStr</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&nbsp;str)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#setTextLocked-boolean-">setTextLocked</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the text locked field value.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#setTextOrientation-int-">setTextOrientation</a></span>(int&nbsp;textOrientation)</code>
                                    <div class="block">Set the text orientation field for the TextObjectBase record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#setVerticalTextAlignment-int-">setVerticalTextAlignment</a></span>(int&nbsp;value)</code>
                                    <div class="block">Sets the Vertical text alignment field value.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html#toString--">toString</a></span>()</code>
                                    <div class="block">get a string representation of the record (for
                                        biffview/debugging)
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.cont.ContinuableRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.cont.<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sid">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sid</h4>
                                <pre>public static final&nbsp;short sid</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.sid">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.HORIZONTAL_TEXT_ALIGNMENT_LEFT_ALIGNED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_TEXT_ALIGNMENT_CENTERED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_TEXT_ALIGNMENT_CENTERED</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_TEXT_ALIGNMENT_CENTERED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.HORIZONTAL_TEXT_ALIGNMENT_CENTERED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.HORIZONTAL_TEXT_ALIGNMENT_RIGHT_ALIGNED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED</h4>
                                <pre>public static final&nbsp;short HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.HORIZONTAL_TEXT_ALIGNMENT_JUSTIFIED">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_TEXT_ALIGNMENT_TOP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_TEXT_ALIGNMENT_TOP</h4>
                                <pre>public static final&nbsp;short VERTICAL_TEXT_ALIGNMENT_TOP</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.VERTICAL_TEXT_ALIGNMENT_TOP">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_TEXT_ALIGNMENT_CENTER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_TEXT_ALIGNMENT_CENTER</h4>
                                <pre>public static final&nbsp;short VERTICAL_TEXT_ALIGNMENT_CENTER</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.VERTICAL_TEXT_ALIGNMENT_CENTER">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_TEXT_ALIGNMENT_BOTTOM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_TEXT_ALIGNMENT_BOTTOM</h4>
                                <pre>public static final&nbsp;short VERTICAL_TEXT_ALIGNMENT_BOTTOM</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.VERTICAL_TEXT_ALIGNMENT_BOTTOM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="VERTICAL_TEXT_ALIGNMENT_JUSTIFY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VERTICAL_TEXT_ALIGNMENT_JUSTIFY</h4>
                                <pre>public static final&nbsp;short VERTICAL_TEXT_ALIGNMENT_JUSTIFY</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.VERTICAL_TEXT_ALIGNMENT_JUSTIFY">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TEXT_ORIENTATION_NONE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_ORIENTATION_NONE</h4>
                                <pre>public static final&nbsp;short TEXT_ORIENTATION_NONE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.TEXT_ORIENTATION_NONE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TEXT_ORIENTATION_TOP_TO_BOTTOM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_ORIENTATION_TOP_TO_BOTTOM</h4>
                                <pre>public static final&nbsp;short TEXT_ORIENTATION_TOP_TO_BOTTOM</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.TEXT_ORIENTATION_TOP_TO_BOTTOM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TEXT_ORIENTATION_ROT_RIGHT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_ORIENTATION_ROT_RIGHT</h4>
                                <pre>public static final&nbsp;short TEXT_ORIENTATION_ROT_RIGHT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.TEXT_ORIENTATION_ROT_RIGHT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TEXT_ORIENTATION_ROT_LEFT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>TEXT_ORIENTATION_ROT_LEFT</h4>
                                <pre>public static final&nbsp;short TEXT_ORIENTATION_ROT_LEFT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.TextObjectRecord.TEXT_ORIENTATION_ROT_LEFT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="TextObjectRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TextObjectRecord</h4>
                                <pre>public&nbsp;TextObjectRecord()</pre>
                            </li>
                        </ul>
                        <a name="TextObjectRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>TextObjectRecord</h4>
                                <pre>public&nbsp;TextObjectRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSid</h4>
                                <pre>public&nbsp;short&nbsp;getSid()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">Record</a></code></span>
                                </div>
                                <div class="block">return the non static version of the id for this record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>he id for this record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>protected&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">ContinuableRecord</a></code></span>
                                </div>
                                <div class="block">Serializes this record's content to the supplied data output.<p>
                                    The standard BIFF header (ushort sid, ushort size) has been handled by the
                                    superclass, so
                                    only BIFF data should be written by this method. Simple data types can be written
                                    with the
                                    standard <a href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util"><code>LittleEndianOutput</code></a>
                                    methods. Methods from <a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont"><code>ContinuableRecordOutput</code></a>
                                    can be used to serialize strings (with <a
                                        href="../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s
                                    being written as required).
                                    If necessary, implementors can explicitly start <a
                                        href="../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s
                                    (regardless of the
                                    amount of remaining space).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                                title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - a data output stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHorizontalTextAlignment-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHorizontalTextAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setHorizontalTextAlignment(int&nbsp;value)</pre>
                                <div class="block">Sets the Horizontal text alignment field value.</div>
                            </li>
                        </ul>
                        <a name="getHorizontalTextAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHorizontalTextAlignment</h4>
                                <pre>public&nbsp;int&nbsp;getHorizontalTextAlignment()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Horizontal text alignment field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVerticalTextAlignment-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVerticalTextAlignment</h4>
                                <pre>public&nbsp;void&nbsp;setVerticalTextAlignment(int&nbsp;value)</pre>
                                <div class="block">Sets the Vertical text alignment field value.</div>
                            </li>
                        </ul>
                        <a name="getVerticalTextAlignment--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalTextAlignment</h4>
                                <pre>public&nbsp;int&nbsp;getVerticalTextAlignment()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the Vertical text alignment field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextLocked-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextLocked</h4>
                                <pre>public&nbsp;void&nbsp;setTextLocked(boolean&nbsp;value)</pre>
                                <div class="block">Sets the text locked field value.</div>
                            </li>
                        </ul>
                        <a name="isTextLocked--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isTextLocked</h4>
                                <pre>public&nbsp;boolean&nbsp;isTextLocked()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text locked field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextOrientation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextOrientation</h4>
                                <pre>public&nbsp;int&nbsp;getTextOrientation()</pre>
                                <div class="block">Get the text orientation field for the TextObjectBase record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>One of TEXT_ORIENTATION_NONE TEXT_ORIENTATION_TOP_TO_BOTTOM
                                        TEXT_ORIENTATION_ROT_RIGHT TEXT_ORIENTATION_ROT_LEFT
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextOrientation-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextOrientation</h4>
                                <pre>public&nbsp;void&nbsp;setTextOrientation(int&nbsp;textOrientation)</pre>
                                <div class="block">Set the text orientation field for the TextObjectBase record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>textOrientation</code> - One of TEXT_ORIENTATION_NONE
                                        TEXT_ORIENTATION_TOP_TO_BOTTOM
                                        TEXT_ORIENTATION_ROT_RIGHT TEXT_ORIENTATION_ROT_LEFT
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStr--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStr</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&nbsp;getStr()</pre>
                            </li>
                        </ul>
                        <a name="setStr-org.apache.poi.hssf.usermodel.HSSFRichTextString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStr</h4>
                                <pre>public&nbsp;void&nbsp;setStr(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&nbsp;str)</pre>
                            </li>
                        </ul>
                        <a name="getLinkRefPtg--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLinkRefPtg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;getLinkRefPtg()</pre>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">Record</a></code></span>
                                </div>
                                <div class="block">get a string representation of the record (for biffview/debugging)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextObjectRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/TableStylesRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/TopMarginRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/TextObjectRecord.html"
               target="_top">Frames</a></li>
        <li><a href="TextObjectRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
